AstHelper (Groovy 5.0.0)

Package: org.codehaus.groovy.transform.tailrec

## [Java] Class AstHelper

- org.codehaus.groovy.transform.tailrec.AstHelper

-     public class AstHelper
      extends Object

  Helping to create a few standard AST constructs

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ExpressionStatement` | `createVariableAlias(String aliasName, ClassNode variableType, String variableName)`
    `` | `public static ExpressionStatement` | `createVariableDefinition(String variableName, ClassNode variableType, Expression value)`
    `` | `public static ExpressionStatement` | `createVariableDefinition(String variableName, ClassNode variableType, Expression value, boolean variableShouldBeFinal)`
    `` | `public static VariableExpression` | `createVariableReference(Map<String, ?> variableSpec)`
    `` | `public static Statement` | `recurByThrowStatement()` This statement will throw exception which will be caught and redirected to jump to surrounding while loop's start label Also works from within Closures but is a tiny bit slower
    `` | `public static Statement` | `recurStatement()` This statement should make the code jump to surrounding while loop's start label Does not work from within Closures

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static ExpressionStatement createVariableAlias(String aliasName, ClassNode variableType, String variableName)

    - #### public static ExpressionStatement createVariableDefinition(String variableName, ClassNode variableType, Expression value)

    - #### public static ExpressionStatement createVariableDefinition(String variableName, ClassNode variableType, Expression value, boolean variableShouldBeFinal)

    - #### public static VariableExpression createVariableReference(Map<String, ?> variableSpec)

    - #### public static Statement recurByThrowStatement()

      This statement will throw exception which will be caught and redirected to jump to surrounding while loop's start label Also works from within Closures but is a tiny bit slower

    - #### public static Statement recurStatement()

      This statement should make the code jump to surrounding while loop's start label Does not work from within Closures